
QGIS Application - Bug report #19481

QGIS crash

2018-07-25 01:39 PM - Craig Burness

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 27309

Description

QGIS constantly crashing when opening or editing layer properties. Also crashes when simply moving between layers and panning

around map.

Crash ID: 74b933d2b76d6d58148b0035f672ab5f06721af0

Stack Trace

QgsColorRampShader::shade :

QgsSingleBandPseudoColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererParallelJob::renderLayerStatic :

QgsArchive::zip :

QgsColorScheme::setColors :

QgsMapRendererParallelJob::cancelWithoutBlocking :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt
Kernel Version: 10.0.17134

History

#1 - 2018-07-25 02:05 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Remove all the 3rd party plugins or even better the .qgis3 folder. Restart qgis, try agin, report back. Thanks!

#2 - 2018-08-15 07:54 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
